Summary: An SSL-encrypting socket wrapper
Name: stunnel
Version: 4.42
Release: 1
License: GPLv2
Group: Applications/Internet
URL: http://stunnel.mirt.net/
Source0: ftp://stunnel.mirt.net/stunnel/%{name}-%{version}.tar.gz
Source1: ftp://stunnel.mirt.net/stunnel/%{name}-%{version}.tar.gz.asc
Source2: ftp://stunnel.mirt.net/stunnel/%{name}-%{version}.tar.gz.sha256
Source3: Certificate-Creation
Source4: sfinger.xinetd
Source5: stunnel-sfinger.conf
Source6: pop3-redirect.xinetd
Source7: stunnel-pop3s-client.conf
Patch0: %{name}-%{version}-authpriv.patch
Patch1: %{name}-%{version}-sample.patch
Patch10: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: pkg-config, patch, sed, perl >= 5.8.8
BuildRequires: openssl-devel >= 0.9.8
Requires: openssl >= 0.9.8

%ifos aix5.1
Requires: AIX-rpm < 5.2.0.0, prngd
%else
Requires: AIX-rpm >= 5.2.0.0
%endif

%description
Stunnel is a socket wrapper which can provide SSL (Secure Sockets
Layer) support to ordinary applications. For example, it can be used
in conjunction with imapd to create an SSL secure IMAP server.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .authpriv
%patch1
%patch10


%build
export PATH=/opt/freeware/bin:$PATH

export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --localstatedir=/var \
    --enable-ipv6 \
%ifos aix5.1
    --with-egd-socket=/dev/egd-pool \
%else
    --with-random=/dev/urandom \
%endif
    --with-ssl=%{_prefix}

# get rid of pesky "-pthread" flag
/opt/freeware/bin/sed -i 's|-pthread||g' config.status

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/freeware/bin:$PATH

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/%{name}.pem
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# Move the translated man pages to the right subdirectories, and strip off the
# language suffixes.
for lang in fr pl ; do
    mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/${lang}/man8
    mv ${RPM_BUILD_ROOT}%{_mandir}/man8/*.${lang}.8* ${RPM_BUILD_ROOT}%{_mandir}/${lang}/man8/
done

mkdir srpm-docs
cp %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} srpm-docs

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS BUGS ChangeLog COPY* CREDITS PORTS README TODO
%doc tools/stunnel.conf-sample
%doc srpm-docs/*
%lang(en) %doc doc/en/*
%lang(po) %doc doc/pl/*
%{_bindir}/stunnel
%{_libdir}/stunnel
%{_mandir}/man8/*
%lang(fr) %{_mandir}/fr/man8/*
%lang(pl) %{_mandir}/pl/man8/*
%dir %{_sysconfdir}/%{name}
%dir /var/lib/%{name}
/usr/bin/*


%changelog
* Sun Aug 22 2011 Michael Perzl <michael@perzl.org> - 4.42-1
- updated to version 4.42

* Sun Jul 24 2011 Michael Perzl <michael@perzl.org> - 4.40-1
- updated to version 4.40

* Thu Jul 07 2011 Michael Perzl <michael@perzl.org> - 4.39-1
- updated to version 4.39

* Wed Jun 29 2011 Michael Perzl <michael@perzl.org> - 4.38-1
- updated to version 4.38

* Thu May 05 2011 Michael Perzl <michael@perzl.org> - 4.36-1
- updated to version 4.36

* Mon Feb 07 2011 Michael Perzl <michael@perzl.org> - 4.35-1
- updated to version 4.35

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 4.34-1
- updated to version 4.34

* Mon Nov 22 2010 Michael Perzl <michael@perzl.org> - 4.33-2
- fixed a spec file typo, added requirement for prngd for AIX 5.1

* Fri Apr 16 2010 Michael Perzl <michael@perzl.org> - 4.33-1
- first version for AIX V5.1 and higher
